import { AfterViewInit, EventEmitter, OnInit, ViewContainerRef, ComponentFactoryResolver, Renderer2, SimpleChanges, OnChanges } from '@angular/core';
import { FormGroup } from '@angular/forms';
export declare class ReactiveFormComponent implements OnInit, AfterViewInit, OnChanges {
    private componentFactoryResolver;
    private renderer;
    fields: any[];
    form: FormGroup;
    request: any;
    afterInit: EventEmitter<boolean>;
    afterViewInit: EventEmitter<boolean>;
    vc: ViewContainerRef | any;
    submitted: boolean;
    events: any[];
    private components;
    constructor(componentFactoryResolver: ComponentFactoryResolver, renderer: Renderer2);
    ngOnChanges(values: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private refreshComponentsFields;
    private loadComponentFields;
    private getComponent;
}
